Bug 833817 - ovirt-engine-backend [Auto Recovery]: domains that were deactivated due to storage issues will change status to maintenance and will not be started by auto recovery
ovirt-engine-backend [Auto Recovery]: domains that were deactivated due to st...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.1.0
x86_64 Linux
high Severity medium
: ---
: 3.1.0
Assigned To: mkublin
Dafna Ron
storage
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-20 08:21 EDT by Dafna Ron
Modified: 2016-02-10 12:15 EST (History)
11 users (show)

See Also:
Fixed In Version: SI8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
log (28.49 KB, application/x-xz)
2012-06-20 08:21 EDT, Dafna Ron
no flags Details

  None (edit)
Description Dafna Ron 2012-06-20 08:21:34 EDT
Created attachment 593194 [details]
log

Description of problem:

HandleFailedStorageDomainCommand will run DeactivateStorageDomainVDSCommand which causes the domains to change state to maintenance. 
Auto Recovery will not start domains in maintenance status

Version-Release number of selected component (if applicable):

si6

How reproducible:

100%

Steps to Reproduce:
1. create two SD from different storage servers
2. block one domain in host (do not block the master domain)
3. domain will change state to maintenance instead of staying in inactive
  
Actual results:

since HandleFailedStorageDomainCommand will run DeactivateStorageDomainVDSCommand the domains status will change to maintenance and Auto Recovery will not start the domain once we recover. 

Expected results:

domain which was deactivated by the system should remain in inactive state and domain which was deactivated by the user should change to maintenance. 

Additional info: backend logs
Comment 2 mkublin 2012-06-24 05:28:08 EDT
http://gerrit.ovirt.org/#/c/5629/

The bug is not related to auto-recovery
Comment 3 Dafna Ron 2012-07-02 10:05:06 EDT
verified on si8
domain remains in inactive state

Note You need to log in before you can comment on or make changes to this bug.